Debian backports for L5?

I’m curious if anyone has used backports repo’s to install software on the L5?

If so, what repo’s do you use. The byzantium is buster/sid, but I noticed that some of the packages available for byzantium are actually from bullseye?

I’m needing some apps that aren’t available on debian until bookworm releases which is debian 12.

byzantium is based on bullseye. There’s no “backports” repo available for PureOS. The best way to use newer packages is to recompile them on byzantium.

1 Like

Thanks @dos. I thought byzantium was based on bullseye. But, with
$ cat /etc/debian_version
buster/sid

why would it say buster/sid?

and regarding

, I have an L15 with PureOS, and in my sources.list file I have
deb http://deb.debian.org/debian bullseye-backports main

I’ve installed apps from debian bullseye-backports and it does work? So, I’m confused by your statement. My curiousity was, if I add this source on L5 would that create problems for me? I haven’t experienced any problems with bullseye-backports on my L15

1 Like

Looks like the package responsible for that hasn’t been properly updated yet :smile:

Adding Debian repositories to PureOS may appear to work, but it may cause problems on both laptops and phones as these repos have no way to adapt to changes between upstream Debian and PureOS.

Even if @dos doesn’t recommend it - I do that. But I can’t recommend it neither:

  • you need to be able to recover from failure
  • you need to know how to use pinning to really only get what you wanted

If you do not take care you’ll probably end up with an unsupportable mixture of bullseye-backports and PureOS Byzantium and thinks specific to the Librem5 might stop working (calling, feedback, etc.).

That said, I’m running systemd 252.5-2~bpo11+1 and dependencies on my L5 because of an unresolved issue in 247.3-7+deb11u1 that comes with bullseye/byzantium.

If you want to get into the subject and try it you could first try using a virtual machine and by doing so avoid breaking things on your phone.

2 Likes

There has been an open issue about this and for some reason I do not remember and I couldn’t understand it had not been updated…

I’ll just point out that apt-forktracer is a super-helpful tool when dealing with such frankendebians :slight_smile:

2 Likes

Thanks @dos and @ChriChri :slight_smile: your points make sense. I’ve been fortunate on my L15. i only use a couple of apps from backports. The problem with debian for me is some apps just don’t progress very quickly. Like gnucash to help me keep my finances in order. And I’m a fan of sway, but the current repo is so old, it is a bit annoying to use. I haven’t used the bookworm backport of that, because I’m too nervous about that.

Anyhow, I’m good with linux, but not as good as @ChriChri points out I should be using backports on the L5 :slight_smile: So, I’ll just wait. Thanks for your help!

1 Like